/**
 *
 */
package com.ims.ims.sm.controller;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.alibaba.fastjson.JSONObject;
import com.ims.system.auth.ImsPreAuth;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;

import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.support.RedirectAttributes;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.http.MediaType;


import org.springframework.web.bind.annotation.*;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;

import com.ims.core.controller.WebController;
import com.ims.core.utils.StringUtils;

import com.ims.ims.sm.entity.Pubinfo;
import com.ims.ims.sm.service.IPubinfoService;

/**
 * 电子公告Controller
 * @author niyili
 * @version 2022-12-27
 */
@Controller
@RequestMapping(value = "/pubinfo/pubinfo")
public class PubinfoController extends WebController<IPubinfoService,Pubinfo> {

	@RequestMapping(value = "doLogin")
	public void doLogin(HttpServletRequest request, HttpServletResponse response) throws IOException {
		//获取code和iam-token
		String iamCode = request.getParameter("code");
		String iamAccessToken = request.getParameter("iamAccessToken");
		String url = "http://localhost:9527/";
		String auth_url = url + "?iamCode="+iamCode+"&iamAccessToken="+iamAccessToken;
		System.out.println("auth_url:"+auth_url);
		response.sendRedirect(auth_url);
	}

 	@ImsPreAuth("pubinfo:pubinfo:view")
	@RequestMapping(value = "list")
	public String list(Pubinfo pubinfo, Model model) {
		return "你好";
	}


	@RequestMapping(value = "list2")
	public JSONObject list2(Pubinfo pubinfo, Model model) {
		JSONObject json = new JSONObject();
		json.put("json","你好");
		return json;
	}

    @ImsPreAuth("pubinfo:pubinfo:view")
	@RequestMapping(value = "form")
	public String form(Pubinfo pubinfo, Model model) {
	    String formView = pubinfo.getFormView();
	    if(StringUtils.isNotBlank(formView)){
			return "sm/"+formView;
		}
		return "sm/sm-test${sm_test_suffix}/pubinfo/pubinfoForm";
	}

    @ImsPreAuth("pubinfo:pubinfo:view")
	@RequestMapping(value = "lov")
	public String lov(Pubinfo pubinfo, Model model) {
		return "sm/sm-test${sm_test_suffix}/pubinfo/pubinfoList";
	}

    @ImsPreAuth("pubinfo:pubinfo:view")
	@RequestMapping(value = "data")
	@ResponseBody
	public String getData(Pubinfo pubinfo, HttpServletRequest request, HttpServletResponse response, Model model)  throws IOException  {
        return  super.getData(pubinfo,request,response,model);
	}

//    @ImsPreAuth("pubinfo:pubinfo:view")
	@RequestMapping(value = "allData")
	@ResponseBody
	public String getAllData(Pubinfo pubinfo, HttpServletRequest request, HttpServletResponse response, Model model)  throws IOException  {
        return  super.getAllData(pubinfo,request,response,model);
	}

    @ImsPreAuth("pubinfo:pubinfo:view")
	@RequestMapping(value = "get")
	@ResponseBody
	public String get(Pubinfo pubinfo, HttpServletRequest request, HttpServletResponse response, Model model) throws IOException {
        return  super.get(pubinfo,request,response,model);
	}

    @ImsPreAuth("pubinfo:pubinfo:edit")
	@RequestMapping(value = "initInsert")
	@ResponseBody
	public String initInsert(Pubinfo pubinfo, Model model, HttpServletRequest request, HttpServletResponse response) throws Exception {
		return super.initInsert(pubinfo,request,response,model);
	}

    @ImsPreAuth("pubinfo:pubinfo:edit")
	@RequestMapping(value = "checkSave")
	@ResponseBody
	public String checkSave(Pubinfo pubinfo, Model model, HttpServletRequest request, HttpServletResponse response) throws Exception {
		return super.checkSave(pubinfo,request,response,model);
	}

    @ImsPreAuth("pubinfo:pubinfo:edit")
	@RequestMapping(value = "save")
	@ResponseBody
	public String save(Pubinfo pubinfo, Model model,  HttpServletRequest request, HttpServletResponse response) {
		 return super.save(pubinfo,request,response,model);
	}

    @ImsPreAuth("pubinfo:pubinfo:remove")
	@RequestMapping(value = "checkRemove")
	@ResponseBody
	public String checkRemove(Pubinfo pubinfo, Model model, HttpServletRequest request, HttpServletResponse response) throws Exception {
		return super.checkRemove(pubinfo,request,response,model);
	}

    @ImsPreAuth("pubinfo:pubinfo:remove")
	@RequestMapping(value = "remove")
	@ResponseBody
	public String remove(Pubinfo pubinfo, Model model, HttpServletRequest request, HttpServletResponse response) throws Exception {
		return super.remove(pubinfo,request,response,model);
	}

    @ImsPreAuth("pubinfo:pubinfo:edit")
	@RequestMapping(value = "import",produces=MediaType.APPLICATION_JSON_UTF8_VALUE)
	@ResponseBody
	public String importFile(Pubinfo pubinfo,MultipartFile excelFile, HttpServletRequest request, HttpServletResponse response) {
         return super.importFile(pubinfo,excelFile,null,request,response);
	}

    @ImsPreAuth("pubinfo:pubinfo:view")
	@RequestMapping(value = "export", method= RequestMethod.POST)
	public void exportFile(Pubinfo pubinfo, HttpServletRequest request, HttpServletResponse response) {
         super.exportFile(pubinfo,request,response );
	}
}
